import { Emitter } from 'nanoevents';
import { EventMap, SocketEvent } from './types';
export declare type PutioSocketClientConfig = {
    url?: string;
    token: string;
};
export declare const createClientFactoryWithDependencies: (createEventEmitter: () => Emitter<EventMap>, createWebSocket: (url: string) => WebSocket) => (config: PutioSocketClientConfig) => {
    on: <K extends "connect" | "disconnect" | "reconnect" | "error" | "custom" | "user_update" | "transfers_count" | "transfers_clean" | "transfer_create" | "transfer_update" | "transfer_delete">(event: K, cb: EventMap[K]) => import("nanoevents").Unsubscribe;
    send: (payload: SocketEvent) => void;
    close: () => void;
};
export declare const createPutioSocketClient: (config: PutioSocketClientConfig) => {
    on: <K extends "connect" | "disconnect" | "reconnect" | "error" | "custom" | "user_update" | "transfers_count" | "transfers_clean" | "transfer_create" | "transfer_update" | "transfer_delete">(event: K, cb: EventMap[K]) => import("nanoevents").Unsubscribe;
    send: (payload: SocketEvent) => void;
    close: () => void;
};
export declare type PutioSocketClient = ReturnType<typeof createPutioSocketClient>;
